%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}
%define svnrev r2306

Name:           python-ruledispatch
Version:        0.5a0
Release:        0.10.svn%{svnrev}%{?dist}
Summary:        A generic function package for Python

Group:          Development/Languages
License:        Python or ZPLv2.1
URL:            http://www.turbogears.org
Source0:        http://files.turbogears.org/eggs/RuleDispatch-%{version}.dev-%{svnrev}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel python-setuptools-devel
Requires:       python-protocols >= 1.0

%description
Rule-based Dispatching and Generic Functions.

%prep
%setup -q -n RuleDispatch-%{version}.dev-%{svnrev}
mv src/dispatch/*.txt .
chmod a-x *.txt

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --single-version-externally-managed
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc combiners.txt TODO.txt 
%{python_sitearch}/RuleDispatch-%{version}.dev_%{svnrev}-py%{pyver}.egg-info
%dir %{python_sitearch}/dispatch
%{python_sitearch}/dispatch/*.py
%{python_sitearch}/dispatch/_d_speedups.so
%{python_sitearch}/dispatch/*.pyc
%dir %{python_sitearch}/dispatch/tests
%{python_sitearch}/dispatch/tests/*.py
%{python_sitearch}/dispatch/tests/*.pyc
%{python_sitearch}/dispatch/*.pyo
%{python_sitearch}/dispatch/tests/*.pyo

%changelog
* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5a0-0.10.svn2305
- fix license tag

* Wed Feb  6 2008 Luke Macken <lmacken@redhat.com> 0.5a0-0.8.svn2305
- Own our dispatch and dispatch/tests directories (Bug #431743)

* Sat Oct 27 2007 Luke Macken <lmacken@redhat.com> 0.5a0-0.7.svn2305
- Fix broken URL and Source0

* Sun Sep  2 2007 Luke Macken <lmacken@redhat.com> 0.5a0-0.7.svn2305
- Update for python-setuptools changes in rawhide

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> 0.5a0-0.6.svn2305
- Rebuild

* Thu May  3 2007 Luke Macken <lmacken@redhat.com> 0.5a0-0.5.svn2305
- 0.5a0.dev-r2306

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.4.svnr2115
- Rebuild for new python

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.2.svnr2115
- Rebuild for FC6

* Mon Aug 14 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.1.svnr2115
- Include the pyo files instead of ghosting them

* Thu Jul  6 2006 Luke Macken <lmacken@redhat.com> 0.5a0-0.1.svnr2115
- Use sitearch instead of sitelib in the files
- Remove python-abi requirement
- Ghost the .pyo files
- Add the URL

* Wed Apr 19 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5a0-0.svnr2115
- Intial RPM release
